#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA679_F31E_F31J_X31J_P31J_SU1E_AU2E_AU3E
void F7259_DrawBitmapOnScreen(
unsigned char* P4032_puc_Bitmap,
int16_t* P4033_pi_Box,
int16_t P4034_i_Width,
#ifdef MEDIA772_SU1E
int16_t P4035_i_TransparentColor)
#endif
#ifdef MEDIA677_F31E_F31J_X31J_P31J_AU2E_AU3E
int16_t P4035_i_TransparentColor,
int16_t P4036_i_Height)
#endif
{
#ifdef MEDIA772_SU1E
        G0578_B_UseByteBoxCoordinates = C0_FALSE;
        F0132_VIDEO_Blit(P4032_puc_Bitmap, G0348_Bitmap_Screen, P4033_pi_Box, 0, 0, P4034_i_Width, C160_BYTE_WIDTH_SCREEN, P4035_i_TransparentColor);
#endif
#ifdef MEDIA671_F31E_F31J_P31J
        F0077_MOUSE_EnableScreenUpdate_CPSE();
#endif
#ifdef MEDIA674_F31E_F31J_X31J_P31J
        F7330_DrawBitmap(P4032_puc_Bitmap, G0348_Bitmap_Screen, P4033_pi_Box, 0, 0, P4034_i_Width, G7161_ScreenPixelWidth, P4035_i_TransparentColor, P4036_i_Height, G7158_ScreenPixelHeight);
#endif
#ifdef MEDIA671_F31E_F31J_P31J
        F0078_MOUSE_DisableScreenUpdate();
#endif
#ifdef MEDIA768_AU2E_AU3E
        int16_t L6137_ai_XYZ[4];


        F1653_ConvertCoordinates(P4033_pi_Box, L6137_ai_XYZ);
        VDEO_06_BlitToScreen(P4032_puc_Bitmap, 0, L6137_ai_XYZ, 0, 0, P4034_i_Width, (char)P4035_i_TransparentColor, P4036_i_Height);
#endif
}

void F7260_FillScreenBox(
#ifdef MEDIA772_SU1E
int16_t* P2222_pi_Box,
unsigned int16_t P4038_ui_Color)
{
        F0135_VIDEO_FillBox(G0348_Bitmap_Screen, P2222_pi_Box, P4038_ui_Color, C160_BYTE_WIDTH_SCREEN);
#endif
#ifdef MEDIA674_F31E_F31J_X31J_P31J
int16_t* P2222_pi_Box,
unsigned int16_t P4038_ui_Color)
{
#ifdef MEDIA671_F31E_F31J_P31J
        F0077_MOUSE_EnableScreenUpdate_CPSE();
#endif
        F7329_FillBox(G0348_Bitmap_Screen, P2222_pi_Box, P4038_ui_Color, G7161_ScreenPixelWidth, G7158_ScreenPixelHeight);
#ifdef MEDIA671_F31E_F31J_P31J
        F0078_MOUSE_DisableScreenUpdate();
#endif
#endif
#ifdef MEDIA768_AU2E_AU3E
register int16_t* P2222_pi_Box,
unsigned int16_t P4038_ui_Color)
{
        register char* L6138_;
        register int16_t L6139_;
        register int16_t L6140_;
        register int16_t L6141_;
        register int16_t L6142_;
        int16_t L6143_ai_XYZ[4];


        if ((P2222_pi_Box[1] - (L6139_ = P2222_pi_Box[0]) == 2) && (P2222_pi_Box[3] - (L6140_ = P2222_pi_Box[2]) == 2)) {
                L6138_ = G9002_VDEObase->_pc_0x50[G9002_VDEObase->_w_0x4E_PhysicalScreenOrdinal - 1];
                L6141_ = G9002_VDEObase->_w_0x3C_ScreenWidth;
                L6142_ = G9002_VDEObase->_w_0x3E_ScreenHeight;
                F2127_(L6138_, L6139_, L6140_, P4038_ui_Color, L6141_, L6142_);
        } else {
                F1653_ConvertCoordinates(P2222_pi_Box, L6143_ai_XYZ);
                VDEO_08_FillScreenBox(0, L6143_ai_XYZ, (char)P4038_ui_Color);
        }
#endif
}
#endif
